sc::GlobalMsgIter(3)

NAME
sc::GlobalMsgIter -

SYNOPSIS

Inherits sc::DescribedClass.

Inherited by sc::HypercubeGMI.

  Public Member Functions
GlobalMsgIter (int nproc, int me, int root=0)
void backwards ()
void forwards ()
void next ()
int done ()
int n ()
int sendto ()
int send ()
int recvfrom ()
int recv ()

  Protected Member Functions
virtual int fwdsendto ()=0
virtual int fwdsend ()=0
virtual int fwdrecvfrom ()=0
virtual int fwdrecv ()=0

  Protected Attributes
int me_
int nproc_
int root_
int i_
int n_
int fwd_

Author

Generated automatically by Doxygen for MPQC from the source code.